EDIT - feature request #6640

Integrate RIS Import in taxEditor
05/16/2017 09:16 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.7

Severity: normal

Description

The RIS Import should be available in TaxEditor

Related issues:
Related to EDIT - feature request #6636: First version of RIS reference impor... Closed
Precedes EDIT - bug #9891: Open issues for RIS import in TaxEditor New

Associated revisions

Revision 4917a5da - 05/16/2017 09:17 AM - Katja Luther

ref #6640: first implementation for integrate RIS Import in TaxEditor

Revision 3852133 - 05/16/2017 09:53 AM - Katja Luther
ref #6640: change label of RIS Reference Import

Revision fdb28817 - 05/16/2017 09:56 AM - Katja Luther
ref #6640: adapt manifest.mf

Revision 529e3037 - 05/17/2017 10:54 AM - Katja Luther

ref #6636: IOResultBase needs to implement Serializable

History

#1 - 05/16/2017 10:03 AM - Andreas Miiller

- Related to feature request #6636: First version of RIS reference import (e.g. for Endnote import) added

#2 - 05/16/2017 10:08 AM - Andreas Miiller

- Status changed from New to In Progress
#3 - 05/16/2017 02:00 PM - Katja Luther
The integration is done, but there is a problem with the IOInfo List (i.e. warnings), they are filled till the ImportResult object is returned by the service

method, but the result in editor does not contain any warnings. Everything is serializable and can be written in a file, but it is not transmitted.

#4 - 05/17/2017 11:00 AM - Katja Luther

- Status changed from In Progress to Resolved

the problem with the not transmitted parts of the result is fixed by revision 529e3037

#5 - 05/17/2017 11:00 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#6 - 09/23/2021 05:52 PM - Andreas Miiller
- % Done changed from 0 to 20

KL 2017-05-12 (not sure if still an open issue):

der Ris Import funktioniert jetzt bei mir lokal im Editor.
Den InputStreamReader muss man durch ein byte Array ersetzen, da der inputStreamReader nicht serealisierbar ist, das missen wir uns dann fiir
gréBere Files noch optimieren.
Aber es funktioniert jetzt erstmal.

#7 - 12/02/2021 03:48 PM - Andreas Miiller
- Precedes bug #9891: Open issues for RIS import in TaxEditor added

#8 - 12/02/2021 03:51 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 20 to 100

Open issues were moved to #9891

#9 - 12/02/2021 03:51 PM - Andreas Miiller

- Tracker changed from bug to feature request
https://dev.e-taxonomy.eu/redmine/issues/9891
